body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    color: #333;
    text-align: center;
    padding: 20px;
}

h1 {
    color: #333;
    margin-bottom: 20px;
}

form {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    display: inline-block;
    text-align: left;
    width: 300px;
}

label {
    font-weight: bold;
    display: block;
    margin-bottom: 10px;
}

input[type="password"], input[type="submit"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-sizing: border-box;
	
}

input[type="range"] {
    width: 100%;
    margin-bottom: 10px;
}

#czas {
    font-weight: bold;
    color: #007bff;
    display: block;
    margin-bottom: 20px;
    text-align: center;
}

p {
    font-size: 1.2em;
    font-weight: bold;
}

.kolumna {
	width: 370px;
	padding: 3px;
    border-radius: 5px;

    display: inline-block;
	text-align: left;
}
.kolumna div{
    
}
.status {
    padding: 10px;
    border-radius: 7px;
    display: inline-block;
	margin: 4px;
}

.zimne {
    background-color: #cce5ff;
    color: #004085;
}

.grzeje {
    background-color: #f8d7da;
    color: #721c24;
}

.liczniki {
	background-color: #d4edda;
	
}
.liczniki p {
	margin-bottom: 0px;
	margin-top: 0px;
}
.animacja-wlaczania {
    transition: all 0.3s ease-in-out;
}

.animacja-wlaczania:hover {
    transform: scale(1.05);
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
}

.dane-miesieczne {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    height: 200px;
    margin-top: 5px;
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.miesiac {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    width: 60px;
	height: 200px;
}

.miesiac span {
    margin-top: 5px;
}

.slupek {
    width: 100%;
    background-color: #007bff;
	border-width: 1px;
    border-radius: 6px 6px 0 0;
    text-align: center;
    color: #fff;
    box-sizing: border-box;
	cursor: pointer;
}

/* Styl pop-up */
.popup {
	display: none; /* Ukryte domyślnie */
	position: absolute;  /*Pozycjonowanie absolutne w odniesieniu do najbliższego elementu rodzica */
	top: 40%; /* Wyśrodkowanie w pionie */
	left: 50%; /* Wyśrodkowanie w poziomie */
	transform: translate(-50%, -50%); /* Umożliwia wyśrodkowanie */
	background-color: white; /* Kolor tła pop-up */
	padding: 20px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* Cień */
	z-index: 10; /* Ustawiamy wyższy z-index dla pop-up */
}

.pogoda {
	display: block; /* Ukryte domyślnie */
	position: absolute;  /*Pozycjonowanie absolutne w odniesieniu do najbliższego elementu rodzica */
	top: 10px; /* Wyśrodkowanie w pionie */
	right: 0px; /* Wyśrodkowanie w poziomie */
	padding: 20px;
	box-shadow: 0 0 4px rgba(0, 0, 0, 0.5); /* Cień */
	z-index: 1; /* Ustawiamy wyższy z-index dla pop-up */
}

.kalendarz {
	display: grid;
	grid-template-columns: repeat(7, 1fr); /* 7 kolumn na dni tygodnia */
	gap: 20px;

	margin: 0 auto;
	text-align: center;
}

.kalendarz div {
	padding: -10px;
	border: 1px solid #ccc;
}

.dzien {

	background-color: #e6f7ff;
	height: 60px;
	width: 100px;


}
.dzien div {
	margin: 0;
    padding: 0;
	border: 4px;

	gap: -100px;
}
.dni-tygodnia {
	background-color: #f2f2f2;
	font-weight: bold;
